package co.yixiang.yshop.module.pay.processor;

import co.yixiang.yshop.module.pay.controller.admin.merchantdetails.vo.PayParam;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 支付订单处理器
 */
public interface PayOrderProcessor {

    // 获取支付参数
    PayParam getPayParam(String orderId, String payType);

    // 处理待支付
    void handelWait(String orderId, Map<String, String> packageParams);

    void handleWeChatPayNotify(HttpServletRequest request) throws Exception;

}
